Summary: Userland logical volume management tools 
Name: lvm2
Version: 2.01.09
Release: alt2
License: GPL
Group: System/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%version.tgz
Conflicts: liblvm
Patch0: LVM2.2.01.09-Makefile.in-tinfo.patch

# Automatically added by buildreq on Fri Jun 24 2005
BuildRequires: glibc-devel-static libdevmapper-devel-static libncurses-devel-static libreadline-devel-static libtinfo-devel-static
BuildRequires: kernel-headers-std26-up

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep
%setup -q -n LVM2.%{version}
%patch0 -p0 

%build
%configure --enable-static_link --enable-readline --enable-lvm1_fallback --with-staticdir=/sbin --with-user= --with-group=
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Temporary links until initscripts get updated to use lvm.static
ln -s lvm.static $RPM_BUILD_ROOT/sbin/lvm
ln -s lvm.static $RPM_BUILD_ROOT/sbin/pvscan
ln -s lvm.static $RPM_BUILD_ROOT/sbin/vgchange
ln -s lvm.static $RPM_BUILD_ROOT/sbin/vgscan

install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/archive
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/backup
install -m 0700 -d $RPM_BUILD_ROOT/var/lock/lvm
install -m 0700 /dev/null $RPM_BUILD_ROOT/etc/lvm/.cache

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
/sbin/lvm.static
/sbin/lvm
/sbin/pvscan
/sbin/vgchange
/sbin/vgscan
/usr/sbin/*
%{_mandir}/*/*
%config(noreplace) /etc/lvm/lvm.conf
%dir /etc/lvm
%ghost /etc/lvm/.cache
/etc/lvm/backup
/etc/lvm/archive
%dir /var/lock/lvm


%changelog
* Fri Jul 15 2005 Anton Farygin <rider@altlinux.ru> 2.01.09-alt2
- requires updated for lvmcompat package

* Fri Jun 24 2005 Anton Farygin <rider@altlinux.ru> 2.01.09-alt1
- first build for sisyphus, based on specfile from fedora project

